al_rest(3)

NAME

al_rest - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_rest(double seconds)

DESCRIPTION

Waits for the specified number of seconds. This tells the system to pause the current thread for the given amount of time. With some operating systems, the accuracy can be in the order of 10ms. That is, even

    al_rest(0.000001)

might pause for something like 10ms. Also see the section on Timer routines for easier ways to time your program without using up all CPU.